### Function

# Qmi MessageDpmOpenPortInput new

since: 1.30

#### Declaration [src]

    QmiMessageDpmOpenPortInput*
    qmi_message_dpm_open_port_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageDpmOpenPortInput`.

Available since: 1.30

#### Return value

Type: `QmiMessageDpmOpenPortInput`

The newly created `QmiMessageDpmOpenPortInput`. The returned value should be freed with qmi_message_dpm_open_port_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.